Create Shipping Rate
curl --request POST \
--url https://api.withflex.com/v1/shipping_rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_rate": {
"display_name": "Example",
"amount": 2500,
"metadata": {
"order_id": "8842",
"channel": "shopify"
}
}
}
'import requests
url = "https://api.withflex.com/v1/shipping_rates"
payload = { "shipping_rate": {
"display_name": "Example",
"amount": 2500,
"metadata": {
"order_id": "8842",
"channel": "shopify"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipping_rate: {
display_name: 'Example',
amount: 2500,
metadata: {order_id: '8842', channel: 'shopify'}
}
})
};
fetch('https://api.withflex.com/v1/shipping_rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipping_rate": {
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"active": false,
"display_name": "Example",
"amount": 2500,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z"
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Create Shipping Rate
Creates a new shipping rate. The rate is a fixed amount denominated in USD. New shipping rates
are active by default.
POST
/
v1
/
shipping_rates
Create Shipping Rate
Authorizations
Use a Bearer token to access this API.
Body
application/json
An envelope wrapping a single shipping rate object.
An envelope wrapping a single shipping rate object.
The shipping rate.
Show child attributes
Show child attributes
Example:
{
"display_name": "Example",
"amount": 2500,
"metadata": { "order_id": "8842", "channel": "shopify" }
}
Response
An envelope wrapping a single shipping rate object.
An envelope wrapping a single shipping rate object.
The shipping rate.
Show child attributes
Show child attributes
Example:
{
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"active": false,
"display_name": "Example",
"amount": 2500,
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z"
}
⌘I